<form [formGroup]="secondStepForm" (submit)="handleSecondStepSubmit()">
  <fieldset class="product-fieldset">
    <legend>Choose Retirement Plan</legend>
    <p class="product-fieldset__paragraph">
      Please select a retirmenet plan code. You can tailor the retirment plan to
      your needs through <span>Configure Plan</span> wizzard.
    </p>
    <mat-form-field class="input--lg">
      <mat-label>Select Plan</mat-label>
      <mat-select
        formControlName="retirementPlan"
        (selectionChange)="handleRetirementPlanSelect($event)"
      >
        @for (value of offersData.retirementPlan.values; track value) {
        <mat-option [value]="value">{{ value }}</mat-option>
        }
      </mat-select>
      @if (isRetirementPlanInvalid) {
      <mat-error>Required.</mat-error>}
    </mat-form-field>
    @if(offersData.useRetirementPlanTemplate){
    <div class="product-fieldset__template_options">
      <mat-checkbox
        formControlName="useRetirementPlanTemplate"
        color="primary"
        >{{ offersData.useRetirementPlanTemplate.label }}</mat-checkbox
      >
      <button
        class="medium-action-button configure-button"
        type="button"
        mat-raised-button
        [disabled]="
          !useRetirementPlanTemplate?.value ||
          ((secondStepForm.disabled || stepsCompleted.second) &&
            mode !== 'preview') ||
          (mode === 'preview' && !offer.details.configuration) ||
          nextLoading
        "
        (click)="handleSubstepperOpen()"
      >
        Configure Plan<mat-icon iconPositionEnd>settings</mat-icon>
      </button>
    </div>
    }
  </fieldset>
  <div class="button-container">
    <button
      class="medium-action-button"
      [disabled]="nextLoading"
      mat-raised-button
      matStepperPrevious
    >
      Back
      <mat-icon iconPositionStart>navigate_before</mat-icon>
    </button>
    @if (nextLoading) {
    <button
      class="medium-action-button"
      type="submit"
      color="primary"
      disabled
      mat-raised-button
      disabled="true"
    >
      <mat-spinner diameter="18"></mat-spinner>
    </button>
    } @else {
    <button
      class="medium-action-button"
      type="submit"
      color="primary"
      mat-raised-button
      [disabled]="isNextButtonDisabled"
    >
      Next
      <mat-icon iconPositionEnd>navigate_next</mat-icon>
    </button>
    }
  </div>
</form>
